Subject: bug#16075: ls/stat-free-color.sh fails on AArch64 architecture

From: Pádraig Brady <[email-masked]>
Date: Fri, 06 Dec 2013 21:12:46 +0000

On 12/06/2013 08:58 PM, Bernhard Voelker wrote:
> On 12/06/2013 06:45 PM, Pádraig Brady wrote:

>> Even at that the test is still brittle,
>> as the guard only checks that `strace -e stat` works.
>> Also it's conceivable that on some edge cases there
>> may be more than one stat call used in this case.
> 
> I must confess that I don't understand this, i.e. in which circumstances
> this test would fail as it has been working long enough, and now just
> is ported to another architecture.

So I'm worried that the system might have a version
of strace that doesn't support say newfstatat for example.
Now my removing of the -e ... above will avoid the immediate:
  strace: invalid system call `newfstatat'
But strace may then output something that `grep stat..` doesn't match,
thuse messing up the counts and failing the test.

I'll sleep on it as I'm rushing off now.

thanks,
Pádraig